<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.5em;

        }

        html,
        body {
            width: 100vw;
            height: 100vh;
        }

        #container {
            margin-top: 50px;
            margin-left: 100px;
            background: salmon;
            width: 400px;
            height: 400px;
            position: relative;
            overflow: auto;
            z-index: 1;

        }

        #div1 {
            background: rgb(112, 92, 112);
            color: mediumblue;
            position: absolute;
            top: 15px;
            right: 50px;
            width: 100px;
            height: 100px;

        }

        #div2 {
            background: rgb(112, 92, 112);
            color: mediumblue;
            position: fixed;
            top: 15px;
            left: 50px;
            width: 100px;
            height: 100px;
            z-index: 3;

        }

        #div3 {
            background: rgb(112, 92, 112);
            color: mediumblue;
            position: sticky;
            top: 15px;
            left: 50px;
            width: 100px;
            height: 100px;

    </style>

</head>

<body>
    <div id="container">
        <div id="div1">div1</div>
        <div id="div2">div2</div>
        <div id="div3">div3</div>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Libero, ut tenetur? Fugiat at illum, ut obcaecati nisi labore eaque nam similique dolorum facere in quisquam voluptate laborum quae illo nemo.

    </div>
 

</body>

</html>